    One-dimensional normalized beta model function.

normbeta1d

This is the same model as the beta1d model but with a different slope parameter and normalisation.

>>> create_model_component("normbeta1d", "mdl")
>>> print(mdl)

Create a component of the normbeta1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.pos thawed 0 -3.40282e+38 3.40282e+38 mdl.width thawed 1 1.17549e-38 3.40282e+38 mdl.index thawed 2.5 0.5 1000 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
pos
The center of the line.
w
The line width.
alpha
The slope of the profile at large radii.
ampl
The amplitude refers to the integral of the model.

Notes

The functional form of the model for points is:

f(x) = A * (1 + ((x - pos) / w)^2)^(-alpha)

A = ampl / integral f(x) dx

The grid version is evaluated by numerically intgerating the function over each bin using a non-adaptive Gauss-Kronrod scheme suited for smooth functions [1] , falling over to a simple trapezoid scheme if this fails.

References

[1] https://www.gnu.org/software/gsl/manual/html_node/QNG-non_002dadaptive-Gauss_002dKronrod-integration.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023